Subject: bug#22241: 25.0.50; etags Ruby parser problems

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jan 2016 20:11:26 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 31 Jan 2016 08:43:15 +0300
> 
> On 01/31/2016 06:37 AM, Eli Zaretskii wrote:
> 
> > Right, that part is not implemented.  Perhaps later.  Is it terribly
> > important?
> 
> Exuberant Ctags doesn't do it. I suppose it's rather a missing feature 
> than a bug.
> 
> It's fine if it's not in 25.1, but let's keep the bug open until it's 
> implemented.

Ah, so it _is_ important.  But then I'd need a complete specification
of what is needed.  (And I already smell a tip of an iceberg.)  Again,
the references are scarce and incomplete, but I already understand
that it could be either of the following

  attr_WHATEVER :foo
  SOMETHING ; attr_WHATEVER :foo ; ...
  attr_WHATEVER :foo, :bar; ...

Is that true?  Are there any other forms, or can the symbol be
followed only by a comma, a semi-colon, or whitespece?  And what ends
a line like that -- a newline, or can it be continued on the next
line?

> >> Third, this is tangential, but I don't think anybody uses the .ruby
> >> extension for Ruby files (you can see it's not in auto-mode-alist). But
> >> maybe someone somewhere will use it for something else, and etags will
> >> erroneously parse that file as Ruby?
> >
> > I found that on the Internet, I can try to find that again.
> 
> Please do.

Couldn't find it.  And it isn't important enough to argue, just tell
which file-name extensions to consider Ruby and I will do it.